FLAMESHOT(1)

NAME
Flameshot - Powerful yet simple-to-use screenshot software

SYNOPSIS
flameshot [subcommands] [arguments]
flameshot gui [gui arguments]
flameshot screen [screen arguments]
flameshot full [fullscreen arguments]
flameshot config [config arguments]
flameshot launcher

DESCRIPTION
This manual page documents briefly the flameshot command as provided by flameshot package.

flameshot is a screenshot tool that aims to be powerful yet simple-to-use. Its notable features include customizable appearance, in-app screenshot editing, D-Bus interface, tray icon support, experimental GNOME/KDE Wayland support, integration with Imgur and support for both GUI and CLI interface.

Besides the usage information about flameshot in this manpage, you can find similar information using flameshot --help. Same --help can be used for each subcommand as well to get the valid arguments for them. The detailed usage of flameshot is documented in the README.md file on the project's Git repository page: https://github.com/flameshot-org/flameshot

SUBCOMMANDS

Per default without subcommands, flameshot runs the Flameshot in the background and adds a tray icon for configuration. Note that it will not take a screenshot unless you define one of the modes though the subcommands. There are various subcommands that can be used to use flameshot in different modes:

gui Running Flameshot in gui mode would let the user to select the region from which the screenshot should be taken and then allow them to annotate the screenshot.

full
    Takes screenshot of all monitors at the same time

screen
    Takes screenshot of the specified monitor.

launcher
Does not accept any arguments, it will just opens the launcher window

config
If no argument is provided, it will open the config window, otherwise it can change the configurations based on the provided arguments.

ARGUMENTS

Here we list all the arguments available for all subcommands. The subcommands that accept each argument are listed after each argument. Alternatively, you can use the flameshot [subcommand] --help to know the list of available arguments for each subcommand.

-s, --accept-on-select
    Accept capture as soon as a selection is made
    Valid for subcommands: gui

-a, --autostart <bool>
    Enable or disable run at startup
    Valid for subcommands: config

--check
    Check the configuration for errors. This is useful if you manually change the config file and want to make sure it does not contain errors.
    Valid for subcommands: config

-c, --clipboard
    Save the capture to the clipboard
    Valid for subcommands: full, gui, screen

-k, --contrastcolor <color-code>
    Define the contrast UI color
    Valid for subcommands: config

-d, --delay <milliseconds>
    How many milliseconds should Flameshot wait before taking the screenshot
    Valid for subcommands: full, gui, screen

-f, --filename <pattern>
    Set the filename pattern
    Valid for subcommands: config

-h, --help
    Show a brief help message and list the arguments the valid arguments for that subcommand
    Valid for subcommands: config, full, gui, launcher, screen

--last-region
    Repeat screenshot with previously selected region
    Valid for subcommands: gui

-m, --maincolor <color-code>
    Define the main UI color
    Valid for subcommands: config

-n, --notifications
    Enable or disable the notifications
    Valid for subcommands: config

-n, --number <Screen number>
    Define the screen to capture (starting from 0), default: screen containing the cursor
    Valid for subcommands: screen

-p, --path <path>
    Existing directory or new file to save to
    Valid for subcommands: full, gui, screen

--pin
    Pin the capture to the screen
    Valid for subcommands: gui, screen

-g, --print-geometry
    Print geometry of the selection in the format WxH+X+Y. Does nothing if raw is specified
    Valid for subcommands: gui

-r, --raw
    Send raw PNG to stdout
    Valid for subcommands: full, gui, screen

--region <WxH+X+Y or string>
    Screenshot region to select
    Valid for subcommands: full, gui, screen

-s, --showhelp <bool>
    Show the help message in the capture mode
    Valid for subcommands: config

-t, --trayicon <bool>
    Enable or disable the trayicon
    Valid for subcommands: config

-u, --upload
    Upload screenshot
    Valid for subcommands: full, gui, screen

EXAMPLE USAGE

This section lists some of the most common usage of flameshot via command line.

flameshot
    Start flameshot and have it running in background. If enabled, an icon will appear in the tray area of current desktop environment.

flameshot gui
    Capture with GUI.

flameshot gui -p /path/to/captures
    Capture with GUI and custom save path.

flameshot gui -d 2000
    Open GUI with a delay of 2 seconds.

flameshot launcher
    Open a launcher dialog for advanced screenshot, such as custom time delay, etc.

flameshot full --help
    Shows help for flameshot full subcommand.

flameshot full -p /path/to/captures -d 5000
    Fullscreen capture with custom save path (no GUI) and time delay.

flameshot full -c -p /path/to/captures
    Fullscreen capture with custom savepath copying to clipboard.

flameshot screen --number <screen number>
    Define the screen to capture. Will capture the screen containing the cursor by default.

flameshot screen --help
    Shows help for flameshot screen subcommand.

RETURN VALUE
Returns 0 on normal exit, 2 on screenshot aborted, 3 on dbus connection lost, 130 on SIGINT received, 143 on SIGTERM received.

SEE ALSO

You may also find more detailed online documentation on upstream project homepage.

Upstream project homepage:
• https://flameshot.org
• https://github.com/flameshot-org/flameshot

AUTHOR

Flameshot was initially written by lupoDharkael (izhe@hotmail.es) and is currently maintained by Jeremy Borgman, Boyuan Yang (byang@debian.org), Haris Gušić, Ahmed Zetao Yang, Mehrad Mahmoudian, and Martin Eckleben (ordered based on number of contributions on the date of writing this manpage).
The following URL gives you a more complete list of contributors:
    https://github.com/flameshot-org/flameshot/graphs/contributors.

LICENSE

• The main code is licensed under GPLv3
• The logo of Flameshot is licensed under Free Art License v1.3
• The button icons are licensed under Apache License 2.0. See: https://github.com/google/material-design-icons
• The code at capture/capturewidget.cpp is based on https://github.com/ckaiser/Lightscreen/blob/master/dialogs/areadialog.cpp (GPLv2)
• The code at capture/capturewidget.h is based on https://github.com/ckaiser/Lightscreen/blob/master/dialogs/areadialog.h (GPLv2)
• Few lines of code from KSnapshot regiongrabber.cpp SVN revision 796531 (LGPL)
• Qt-Color-Widgets taken and modified from https://github.com/mbasaglia/Qt-Color-Widgets (see their license and exceptions in the project) (LGPL/GPL)